%define pkgver %(echo %version | tr '~' -)
%define apiver %(echo %version | cut -d. -f1-2)
Name:          luajit
Version:       2.1.1731601260
Release:       1mamba
Summary:       A Just-In-Time Compiler for Lua
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://luajit.org/luajit.html
Source:        https://github.com/LuaJIT/LuaJIT/archive/refs/heads/v2.1/%{name}-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A Just-In-Time Compiler for Lua

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n LuaJIT-%{apiver}

%build
%make amalg \
   CFLAGS="%{optflags} -fPIC" \
   PREFIX=%{_prefix} \
   TARGET_STRIP=: \
   MULTILIB=%{_lib}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   CFLAGS="%{optflags} -fPIC" \
   PREFIX=%{_prefix} \
   DESTDIR=%{buildroot} \
   MULTILIB=%{_lib}

rm -f %{buildroot}%{_bindir}/luajit-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/luajit
%dir %{_datadir}/luajit-%{apiver}
%dir %{_datadir}/luajit-%{apiver}/jit
%{_datadir}/luajit-%{apiver}/jit/*.lua
%{_mandir}/man1/%{name}*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libluajit-5.1.so.*
%doc COPYRIGHT

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/luajit-%{apiver}
%{_includedir}/luajit-%{apiver}/*.h
%{_includedir}/luajit-%{apiver}/lua.hpp
%{_libdir}/libluajit-5.1.so
%{_libdir}/libluajit-5.1.a
%{_libdir}/pkgconfig/luajit.pc

%changelog
* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 2.1.1731601260-1mamba
- automatic version update by autodist

* Thu Oct 03 2024 Automatic Build System <autodist@openmamba.org> 2.1.1727870382-1mamba
- automatic version update by autodist

* Mon Sep 30 2024 Automatic Build System <autodist@openmamba.org> 2.1.1727621189-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Automatic Build System <autodist@openmamba.org> 2.1.1725453128-1mamba
- automatic version update by autodist

* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 2.1.1724512491-1mamba
- automatic version update by autodist

* Thu Aug 22 2024 Automatic Build System <autodist@openmamba.org> 2.1.1724232689-1mamba
- automatic version update by autodist

* Sat Aug 17 2024 Automatic Build System <autodist@openmamba.org> 2.1.1723675123-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 2.1.1720049189-1mamba
- automatic version update by autodist

* Mon May 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1716656478-1mamba
- update to 2.1.1716656478

* Thu Oct 14 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0~beta3-1mamba
- update to 2.1.0~beta3

* Fri Apr 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.5-3mamba
- added CFLAGS to compile with -fPIC

* Thu Apr 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.5-2mamba
- enable debug package, libluajit: require luajit, cleanups

* Thu Apr 02 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.5-1mamba
- package created using the webbuild interface
